Skip to main content
`Ctrl`+`K`

# numpy.polynomial.polynomial.polysub

polynomial.polynomial.polysub(c1, c2)

  Subtract one polynomial from another.

  Returns the difference of two polynomials c1 - c2. The arguments are sequences of coefficients from lowest order term to highest, i.e., [1,2,3] represents the polynomial `1 + 2*x + 3*x**2`.

  Parameters:
    c1, c2 array_like

      1-D arrays of polynomial coefficients ordered from low to high.

  Returns:
    out ndarray

      Of coefficients representing their difference.

  See also

  `polyadd`, `polymulx`, `polymul`, `polydiv`, `polypow`

  Examples

      >>> from numpy.polynomial import polynomial as P
      >>> c1 = (1, 2, 3)
      >>> c2 = (3, 2, 1)
      >>> P.polysub(c1,c2)
      array([-2.,  0.,  2.])
      >>> P.polysub(c2, c1)  # -P.polysub(c1,c2)
      array([ 2.,  0., -2.])